Bug 298941 - pam_namespace not wanting to work with live images
Summary: pam_namespace not wanting to work with live images
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2007-09-20 19:01 UTC by Jeremy Katz
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: pam-0.99.8.1-9.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 07:16:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Katz 2007-09-20 19:01:44 UTC
Following Dan's instructions for setting up pam_namespace with an xguest user, I
can't login as xguest.

avc errors are about xdm_t creating files labeled etc_t when trying to copy the
/etc/skel bits, but it shouldn't be trying to create them as etc_t anyway I
don't think.

Comment 1 Tomas Mraz 2007-09-20 19:40:09 UTC
Can you try to modify /etc/security/namespace.init so it contains 
cp -aT --no-preserve=context .....
instead of
cp -aT .....

Does it help?


Comment 2 Tomas Mraz 2007-09-20 19:40:42 UTC
If not, what are all the AVCs?


Comment 3 Jeremy Katz 2007-09-20 19:53:30 UTC
That helps somewhat...
----
time->Thu Sep 20 19:46:23 2007
type=SYSCALL msg=audit(1190331983.113:27): arch=40000003 syscall=117 success=no
exit=-13 a0=15 a1=8000 a2=0 a3=bfb5aec8 items=0 ppid=1820 pid=1824
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=tty7
comm="X" exe="/usr/bin/Xorg" subj=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023
key=(null)
type=AVC msg=audit(1190331983.113:27): avc:  denied  { read write } for 
pid=1824 comm="X" path=2F535953563030303030303030202864656C6574656429 dev=tmpfs
ino=32768 scontext=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023
tcontext=system_u:object_r:unconfined_tmpfs_t:s0 tclass=file

and similar for all of the files.  According to audit2allow
  allow xdm_xserver_t unconfined_tmpfs_t:file { read write };

Comment 4 Tomas Mraz 2007-09-20 20:25:02 UTC
I'll add the --no-preserve=context to the next pam build however the rest has to
be fixed in the policy.


Comment 5 Daniel Walsh 2007-09-21 14:48:15 UTC
Tomas the patch I sent you this morning fixes these.


Note You need to log in before you can comment on or make changes to this bug.